#
# spec file for package libnl-3_0
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		libnl-3_0
%define lname	libnl-3_0-3
Version:	3.0
Release:	5.1
Summary:	Convenience library for working with Netlink sockets
License:	LGPL-2.1
Group:		Development/Libraries/C and C++

URL:		http://people.suug.ch/~tgr/libnl/
#Git-Clone:	git://git.kernel.org/pub/scm/libs/netlink/libnl
Source:		libnl-%version.tar.xz
Source2:	baselibs.conf
Patch1:		sysconf.diff
Patch2:		pkgconf.diff
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison >= 2.4
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 0.23
BuildRequires:	python-devel
BuildRequires:	xz

%description
The libnl suite is a collection of libraries providing APIs to
Netlink protocol based Linux kernel interfaces.

%package -n %lname
Summary:	Convenience library for working with Netlink sockets
Group:		System/Libraries
# Produced by libnl3
Requires:	libnl-config >= %version

%description -n %lname
The libnl suite is a collection of libraries providing APIs to
netlink protocol based Linux kernel interfaces.

%package devel
Summary:	Libraries and headers for libnl
Group:		Development/Libraries/C and C++
Requires:	%lname = %version-%release
Provides:	libnl-devel = %version-%release
Conflicts:	otherproviders(libnl-devel)

%description devel
The libnl suite is a collection of libraries providing APIs to
Netlink protocol based Linux kernel interfaces.

%prep
%if 0%{?__xz:1}
%setup -qn libnl-%version
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTqn libnl-%version
%endif
%patch -P 1 -P 2 -p1

%build
# we do have patches
autoreconf -fi;

if [ ! -e configure ]; then
	autoreconf -fi;
fi;
%configure --disable-static
make %{?_smp_mflags};

%install
b="%buildroot";
%makeinstall
find "$b" -iname "*.la" -delete;
# Remove pieces already provided by packages created from libnl3
rm -Rf "$b/%_sysconfdir/libnl" "$b/%_sbindir"/nl-* "$b/%_mandir/man8"/nl-*;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnl*.so.*
%_libdir/libnl

%files devel
%defattr(-,root,root)
%_includedir/netlink
%_libdir/libnl*.so
%_libdir/pkgconfig/*

%changelog
* Sat Dec 31 2011 jengelh@medozas.de
- Update BuildRequires for new Preinstall: list of Factory
* Wed Aug 24 2011 jengelh@medozas.de
- Update to libnl-3.0
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Dec 16 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Add baselib definitions for SPARC
- Enable parallel building
* Fri Jun 12 2009 coolo@novell.com
- fix build with glibc 2.10
* Thu Feb  5 2009 bphilips@suse.de
- baselibs.conf: create -32bit packages. Required to compile Intel
  WiMax tools.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Nov 11 2008 jpr@novell.com
- Add baselibs.conf (bnc#443023)
* Thu Oct  2 2008 maw@suse.de
- Install libraries in %%_lib, not %%{_libdir} (bnc#428433).
* Fri Feb  1 2008 coolo@suse.de
- update to 1.1:
  o patches went upstream
  o Generic netlink support
  o Route Addition/Deletion
  o Fixed reference counting while objects stay in caches.
  ... tons of other fixes
* Fri Jan 25 2008 adrian@suse.de
- fix changelog entries order
* Wed Oct  3 2007 maw@suse.de
- Apply libnl.route.metric-overflow.patch with -p1.
* Sat Aug 25 2007 olh@suse.de
- remove incomplete copies of kernel headers
  linux/types.h were needed
* Fri Aug 24 2007 olh@suse.de
- include linux/types.h
  do not redefine typedefs
  use stddef.h offsetof
  fix out of bounds access in route metric functions
  fix incorrect char usage in nl_str2af
  remove compiler warnings by checking vasprintf return value
* Wed Aug 22 2007 dmueller@suse.de
- fix accesses of free'd memory which crash NetworkManager-kde
* Wed Aug 22 2007 dmueller@suse.de
- update to 1.0-pre6:
  * fixes write after delete crashes
  * fixes realloc() handling
  * fixes format string warnings
  * fixes invalid free in nl_addr_parse for AF_UNSPEC addresses
  * fixes double nlmsg_free() in nl_recvmsgs() while receiving
    a multipart message and the read was interrupted.
* Sun Feb 19 2006 ro@suse.de
- fix build on ia64, ppc64, s390x
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 yxu@suse.de
- fixed conflicting type definition
* Fri Nov  4 2005 rml@suse.de
- Update to 1.0-pre5
* Mon Oct 31 2005 gekker@suse.de
- Initial import into autobuild Version 1.0-pre3
- Patch makefile
